digiKam Developer Documentation: ShowFoto::ShowfotoFolderViewBar Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
ShowFoto::ShowfotoFolderViewBar Class Reference
Inheritance diagram for ShowFoto::ShowfotoFolderViewBar:

## Public Types
enum | FolderViewTypeMime { TYPE_MIME_JPEG = 0 , TYPE_MIME_TIFF , TYPE_MIME_PNG , TYPE_MIME_PGF , TYPE_MIME_HEIF , TYPE_MIME_AVIF , TYPE_MIME_JXL , TYPE_MIME_WEBP , TYPE_MIME_DNG , TYPE_MIME_RAW , TYPE_MIME_NORAW , TYPE_MIME_ALL }

## Public Slots
void | slotNextEnabled (bool)
void | slotPreviousEnabled (bool)

## Signals
void | signalAppendContents ()
void | signalCustomPathChanged (const QString &)
void | signalGoHome ()
void | signalGoNext ()
void | signalGoPrevious ()
void | signalGoUp ()
void | signalIconSizeChanged (int)
void | signalLoadContents ()
void | signalPluginActionTriggered (QAction *)
void | signalSetup ()
void | signalShowBookmarks (bool)
void | signalTypeMimesChanged (const QString &)
void | signalViewModeChanged (int)

## Public Member Functions
| ShowfotoFolderViewBar (ShowfotoFolderViewSideBar *const parent)
bool | bookmarksVisible () const
QString | currentPath () const
int | folderViewMode () const
int | folderViewTypeMime () const
int | iconSize () const
QList< QAction * > | pluginActions () const
void | registerPluginActions (const QList< DPluginAction * > &actions)
void | setBookmarksVisible (bool b)
void | setCurrentPath (const QString &path)
void | setFolderViewMode (int mode)
void | setFolderViewTypeMime (int mime)
void | setIconSize (int size)
QAction * | toolBarAction (const QString &name) const
Public Member Functions inherited from Digikam::DVBox
| DVBox (QWidget *const parent=nullptr)
Public Member Functions inherited from Digikam::DHBox
| DHBox (QWidget *const parent=nullptr)
QSize | minimumSizeHint () const override
void | setContentsMargins (const QMargins &margins)
void | setContentsMargins (int left, int top, int right, int bottom)
void | setSpacing (int space)
void | setStretchFactor (QWidget *const widget, int stretch)
QSize | sizeHint () const override

## Additional Inherited Members
Protected Member Functions inherited from Digikam::DHBox
| DHBox (bool vertical, QWidget *const parent)
void | childEvent (QChildEvent *e) override